Subject: [TOOLS-DEVELOPMENT] Fwd: Re: Stable URLs

From: Russ Housley <[email-masked]>
Date: Thu, 19 Nov 2009 16:23:37 -0500

Alexa:

Steve's suggestions make sense to me.

The URL comes from the front page of ever Internet-Draft:

    The list of Internet-Draft Shadow Directories can be accessed at
    http://www.ietf.org/shadow.html

So, making this the primary name (instead of mirror.html) makes sense to me.

Russ

>Subject: Re: [TOOLS-DEVELOPMENT] Stable URLs
>From: Steve Conte <[email-masked]>
>Date: Thu, 19 Nov 2009 12:02:18 -0800
>Cc: [email-masked]
>To: Russ Housley <[email-masked]>
>
>Russ,
>
>There is another URL that points to the mirror sites called
>
>http://www.ietf.org/mirror.html
>
>that seems to take the new site look into consideration.  This url 
>was last touched Oct 20
>
>There is also a mirror instructions link:
>
>http://www.ietf.org/mirror-instructions.html
>
>My guess is that the shadow.html is being found via the search tool 
>(it's the first result).
>
>./old/2009/shadow.html was last touched Jan 16 2008
>
>I'm not seeing where the redirect is taking place (I looked in 
>/etc/apache2/vhosts.d/ietf-www6.common for the redirect)
>
>SUGGEST: copy or link the current mirror.html to shadow.html to 
>capture the current look/feel of that file.
>SUGGEST: provide the URL to mirror-instructions (assuming they're 
>still valid) on the mirror.html site
>SUGGEST: provide details on how to be listed as a mirror site on 
>mirror-instructions.html
>
>In the mirror file, the following mirrors are listed:
>
>-  Africa: ftp.is.co.za
>-  Sweden: ftp.nordu.net
>-  Switzerland: ftp://mirror.switch.ch/mirror/ietf/
>-  Italy: ftp.nic.it
>-  Portugal: ftp://ftp.fccn.pt/pub/IETF/Internet-Drafts/
>-  Pacific Rim: munnari.oz.au
>-  US West Coast ftp.isi.edu
>-  South America: ftp.ietf.rnp.br
>- Republic of Korea: ftp.kaist.ac.kr
>- (Republic of Korea: http://ftp.kaist.ac.kr)
>
>The following sites appear to be active:
>
>ftp.is.co.za -
>Remote directory: /mirror/ietf-internet-drafts looks active (last 
>updated Nov 19)
>They also have a /mirror/ietf.org directory that looks like it may 
>be stale (Last updated Jan 19 2009)
>
>ftp.nordu.net -
>Remote directory: /internet-drafts looks active (last update Nov 19)
>they also have:
>/ietf-mail-archive (last updated Nov 4)
>/ietf-online-proceedings (last updated Feb 23 2008)
>
>mirror.switch.ch -
>Remote directory: /pool/1/mirror/ietf
>This appears to be WG directories and it does seem to be updating 
>(tsvwg was updated Nov 19)
>Remote directory: /pool/1/mirror/internet-drafts (last update Nov 19)
>SUGGEST: change FTP on website to just point to mirror.switch.ch
>
>ftp.nic.it -
>Remote directory: /mirrors/internet-drafts (last update Nov 19)
>
>ftp.isi.edu -
>Remote directory: /internet-drafts (last update Nov 19)
>Remote directory: /ietf  WG directories (tsvwg updated Nov 18)
>
>ftp.kaist.ac.kr -
>Remote directory: /internet-drafts (last update Nov 13)
>SUGGEST: remove the duplicate http entry
>
>
>Sites with issues:
>
>ftp.fccn.pt  - Not Responding
>SUGGEST: remove from website
>
>munnari.oz.au -
>Remote directory: /i-d but last updated Mar 15 2006
>SUGGEST: remove from website
>
>ftp.ietf.rnp.br -
>ftp: Can't lookup `ftp.ietf.rnp.br': nodename nor servname provided, 
>or not known
>SUGGEST: remove from website
>
>
>Steve
>
>On Nov 18, 2009, at 12:49 PM, Russ Housley wrote:
>
> >
> >>>>  The list of current Internet-Drafts can be accessed at
> >>>>  http://www.ietf.org/ietf/1id-abstracts.txt.
> >>>
> >>> This URL is redirected to 
> http://www.ietf.org/ietf-ftp/1id-abstracts.txt , which then 
> produces a 404 error.
> >
> > I get a different redirection.  It gets redirected to 
> http://www.ietf.org/download/id-abstract.txt
> >
> >
> >>>>  The list of Internet-Draft Shadow Directories can be accessed at
> >>>>  http://www.ietf.org/shadow.html.
> >>>
> >>> This URL redirects to http://www.ietf.org/old/2009/shadow.html,
> >>> which has a list of some FTP sites. Among those:
> >>>
> >>> * ftp://mirror.switch.ch/mirror/ietf/ has a bunch of stuff but not
> >>> actually any IDs (as far as I can tell)
> >>>
> >>> * ftp.nic.it doesn't respond
> >>>
> >>> * ftp://ftp.fccn.pt/pub/IETF/Internet-Drafts/ doesn't respond
> >>>
> >>> * munnari.oz.au doesn't have anything newer than March 2006
> >>>
> >>> * ftp.ietf.rnp.br doesn't exist in the DNS anymore
> >>>
> >>> * ftp.kaist.ac.kr is listed twice
> >
> > I'm going to ask Steve Conte to look into this situation.  Maybe 
> no one worries about shadow sites any more.
> >
> > Russ